import { AlarmList } from '@/entities/alarm/ui/alarm-list';
import { HeaderType } from '@/entities/common/model/types';
import { 
	useSetHeaderTitle,
	useSetHeaderType,
	useSetFooterMode
} from '@/widgets/sub-layout/use-sub-layout';

export const ListPage = () => {
  useSetHeaderTitle('알림함');
  useSetHeaderType(HeaderType.LeftArrow);
  useSetFooterMode(false);

  return (
    <>
      <main className="pop">
        <div className="sub-wrap">
          <div className="notice-tabs">
            <button className="tab36 on">전체</button>
            <button className="tab36">혜택/이벤트</button>
            <button className="tab36">공지사항</button>
          </div>
          <AlarmList></AlarmList>
        </div>
      </main>
    </>
  );
};